function CreateArmySouthPath()
	--Zuerst Patrollieren lassen zwischen erstem und zweiten Punkt, dann weitere Punkte hinzufügen.
	
	for i = 1,8,1 do
		local giftreiterspawnpos = GetPosition("Giftreiter"..i)
		local trooptable = {ID = AI.Entity_CreateFormation(2, Entities.PU_LeaderHeavyCavalry2, nil, 0, giftreiterspawnpos.X, giftreiterspawnpos.Y, nil, nil, 3,0),PoisonCounter = 2}
		Logic.SetEntityName(trooptable.ID,"PoisenRider"..i)
		table.insert(giftreiter,trooptable)
		Logic.GroupPatrol(trooptable.ID, GetPosition("Giftreiter"..i.."1").X, GetPosition("Giftreiter"..i.."1").Y)
		local pointcounter = 2
		while IsValid("Giftreiter"..i..pointcounter) do
			local _pos = GetPosition("Giftreiter"..i..pointcounter)
			Logic.GroupAddPatrolPoint(trooptable.ID, _pos.X, _pos.Y)
			pointcounter = pointcounter + 1
		end
	end
	
	createPoisonTraps()
	--TaskLists.TL_MILITARY_IDLE
end

function createPoisonTraps()
	PoisenTraps = {}
	for i = 1,11,1 do
		table.insert(PoisenTraps,GetID("Giftfalle"..i))
	end
	StartSimpleJob("ControllPoisonTraps")
end

function ControllPoisonTraps()
	local trappos
	for i = table.getn(PoisenTraps),1,-1 do
		trappos = GetPosition(PoisenTraps[i])
		if Logic.IsPlayerEntityOfCategoryInArea(1, trappos.X, trappos.Y, 1000, "Serf", "Hero", "Leader","Cannon") == 1 then			
			table.insert(PoisonPos, {X=trappos.X;Y=trappos.Y;Dauer = 20})
			Logic.CreateEffect(GGL_Effects.FXExplosion ,trappos.X,trappos.Y,0)
			Logic.CreateEffect(GGL_Effects.FXKalaPoison,trappos.X,trappos.Y,0)
			StartSimpleJob("CreatePoisenNextToIt",trappos,i)
			table.remove(PoisenTraps,i)
		end
	end
	return false
end

function CreatePoisenNextToIt(_position,_number)
	if Counter.Tick2("Trap".._number,5) then
		table.insert(PoisonPos, {X=_position.X+500;Y=_position.Y;Dauer = 20})
		Logic.CreateEffect(GGL_Effects.FXKalaPoison,_position.X+500,_position.Y,0)
		table.insert(PoisonPos, {X=_position.X-500;Y=_position.Y;Dauer = 20})
		Logic.CreateEffect(GGL_Effects.FXKalaPoison,_position.X-500,_position.Y,0)
		table.insert(PoisonPos, {X=_position.X;Y=_position.Y+500;Dauer = 20})
		Logic.CreateEffect(GGL_Effects.FXKalaPoison,_position.X,_position.Y+500,0)
		table.insert(PoisonPos, {X=_position.X;Y=_position.Y-500;Dauer = 20})
		Logic.CreateEffect(GGL_Effects.FXKalaPoison,_position.X,_position.Y-500,0)
		StartSimpleJob("CreatePoisenNext",_position,_number)
		return true
	end
	return false
end

function CreatePoisenNext(_position,_number)
	if Counter.Tick2("Trapnext".._number,5) then
		table.insert(PoisonPos, {X=_position.X+1000;Y=_position.Y;Dauer = 20})
		Logic.CreateEffect(GGL_Effects.FXKalaPoison,_position.X+1000,_position.Y,0)
		table.insert(PoisonPos, {X=_position.X-1000;Y=_position.Y;Dauer = 20})
		Logic.CreateEffect(GGL_Effects.FXKalaPoison,_position.X-1000,_position.Y,0)
		table.insert(PoisonPos, {X=_position.X;Y=_position.Y+1000;Dauer = 20})
		Logic.CreateEffect(GGL_Effects.FXKalaPoison,_position.X,_position.Y+1000,0)
		table.insert(PoisonPos, {X=_position.X;Y=_position.Y-1000;Dauer = 20})
		Logic.CreateEffect(GGL_Effects.FXKalaPoison,_position.X,_position.Y-1000,0)
		return true
	end
	return false
end